Discover
Markets expiring soonest, with actionable prices
Returns markets expiring soonest, with actionable prices. Responses are cached briefly.
GET
/
api
/
markets
/
discover
/
v2
/
expiring
Markets expiring soonest, with actionable prices
curl --request GET \
--url https://data.kairos.trade/api/markets/discover/v2/expiring \
--header 'X-Api-Key: <api-key>' \
--header 'X-Api-Secret: <api-key>' \
--header 'X-Client-Id: <api-key>'import requests
url = "https://data.kairos.trade/api/markets/discover/v2/expiring"
headers = {
"X-Client-Id": "<api-key>",
"X-Api-Key": "<api-key>",
"X-Api-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Client-Id': '<api-key>',
'X-Api-Key': '<api-key>',
'X-Api-Secret': '<api-key>'
}
};
fetch('https://data.kairos.trade/api/markets/discover/v2/expiring', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"markets": [
{
"id": "<string>",
"ticker": "<string>",
"title": "<string>",
"provider": "<string>",
"price": 123,
"volume1h": 123,
"volume24h": 123,
"volume": 123,
"expiration": "2023-11-07T05:31:56Z",
"token_id": "<string>",
"condition_id": "<string>",
"category": "<string>",
"image": "<string>",
"icon": "<string>",
"isGrouped": false
}
],
"count": 123,
"timestamp": "<string>"
}{
"detail": "Not authenticated"
}{
"detail": "Invite required"
}{
"detail": [
{}
]
}{
"error": "Rate limit exceeded: 100 per 1 minute"
}{
"detail": "Invalid provider"
}Authorizations
Credential client id (kairos_ck_...). Must be sent together with X-Api-Key and X-Api-Secret.
64-char hex API key.
64-char hex API secret.
Query Parameters
Required range:
1 <= x <= 20Was this page helpful?
⌘I
Markets expiring soonest, with actionable prices

